pychecker (0.8.19-17) unstable; urgency=medium

  * Use https protocol in debian/watch (contributed by Ondřej Nový).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 10:37:58 +0000

pychecker (0.8.19-16) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 18:18:58 +0000

pychecker (0.8.19-15) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).
  * Remove obsolete Lintian override for vcs-field-uses-insecure-uri.
  * Accept changes from migration to salsa.debian.org:
    - Update debian/control to change VCS URLs
  * Accept changes from Ondřej Nový <onovy@debian.org>:
    - Update debian/copyright to use https protocol in Format field
    - Update debian/changelog to remove trailing whitespace
    - Update debian/control to remove X-Python-Version field

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 06 Aug 2018 23:31:36 +0000

pychecker (0.8.19-14) unstable; urgency=medium

  * Bump standards version to 4.1.1.0 (no packaging changes).
  * Start dealing with the fact that Pychecker has no support for Python 3.
    - Add NEWS.Debian to nudge users toward discontinuing use of Pychecker

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 20:57:36 +0000

pychecker (0.8.19-13) unstable; urgency=medium

  * Ignore the Lintian testsuite-autopkgtest-missing warning.
  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:01:32 +0000

pychecker (0.8.19-12) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Update debian/control to make Vcs-Browser use https, to quiet Lintian.
  * Add Lintian override for the Vcs-Svn field, since it can't be secure.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jun 2016 21:28:22 +0000

pychecker (0.8.19-11) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:55:10 -0500

pychecker (0.8.19-10) unstable; urgency=medium

  * Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 20:14:51 +0000

pychecker (0.8.19-9) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:39:55 -0600

pychecker (0.8.19-8) unstable; urgency=low

  * Accept and upload Jakub's changes for jessie.
  * Use canonical URIs for Vcs-* fields. [ Jakub Wilk ]

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 10 May 2013 21:35:18 +0000

pychecker (0.8.19-7) unstable; urgency=low

  * Convert debian/rules to debhelper7, overriding just a few standard targets.
  * Update debian/README.debian to use dh_python2 rather than python-support.
  * Modify debian/pychecker.dirs to properly use usr/share/pyshared.
  * Modify debian/pychecker.install to install debian/wrapper.
  * Update debian/copyright to list 2013 as the copyright date on my changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 16:38:40 +0000

pychecker (0.8.19-6) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.
  * Make minor tweaks in debian/rules for consistency.
    - Add new .PHONY targets for all rules that don't create files
    - Change binary to depend on both binary-arch and binary-indep
    - Change binary-arch to depend on install, not build and install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 20:15:45 +0000

pychecker (0.8.19-5) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Add year 2012 to list of covered years for debian/* copyright statement.
  * Add Sandro to copyright statement for debian/* files.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Move to debhelper (>= 9) and debian/compat=9, which is the new standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:06:33 -0500

pychecker (0.8.19-4) unstable; urgency=low

  * Support dist-packages in addition to site-packages (closes: #648426).
    - Apply dist-patckages.patch, supplied by Nigel Evans

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 11 Nov 2011 10:06:03 -0600

pychecker (0.8.19-3) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules
  * Transition to dh_python2, since python-support is deprecated for Wheezy.
    - Replace Build-Depends: python-support with python-all in debian/control
    - Replace debian/pyversion with X-Python-Version: >= 2.1 in debian/control
    - Replace call to 'dh_pysupport -d' with 'dh_python2' in debian/rules
    - Replace python-support with pyshared in debian/pychecker.install
    - Tweak comments in debian/wrapper to reflect dh_python2 paths

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Aug 2011 15:19:34 -0500

pychecker (0.8.19-2) unstable; urgency=low

  * Transfer maintainership to Python Applications Packaging Team on alioth.
    - Update debian/control to change Maintainer:
    - Update debian/control to change Uploaders:
    - Update debian/control to add Vcs-Svn: and Vcs:Browser

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 26 Jan 2011 23:08:13 -0600

pychecker (0.8.19-1) unstable; urgency=low

  * New upstream release.
    - This code is now compatible with Python 2.7 (closes: #609438)
  * Bump Standards-Version to 3.9.1.0 (no packaging changes).
  * Rewrite debian/regression.sh to handle the new upstream unit tests.
  * Update debian/copyright to reference Thomas Vander Stichele.
  * Update debian/pychecker.1 manpage to update the package version.
  * Update debian/README.Debian to clarify the status of pychecker2.
  * Update debian/patches/remove-shebang.patch to match upstream code.
  * Add new patch fix-version.patch so pychecker reports the right version.
  * Add new patch remove-bashisms.patch so test_check.sh runs with dash.
  * Add new patch put-back-missing-files-from-cvs.patch.
    - This patch adds back a *huge* number of files that were mistakenly
      not included in the official upstream 0.8.19 tarball.  These files
      will be included in the 0.8.20 release, using a new MANIFEST.in
      which I provided.  However, for the time being upstream has asked
      me to deal with this problem by patching the Debian package.  All
      of the extra files that I have included in my 0.8.19-1 release were
      pulled directly from upstream CVS using 'cvs co -r v0_8_19'.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Jan 2011 19:47:08 -0600

pychecker (0.8.18-7) unstable; urgency=low

  * Fix warnings from the Full Lintian Report in the PTS.
    - Properly escape "-" in debian/pychecker.1

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jul 2010 21:12:45 -0500

pychecker (0.8.18-6) unstable; urgency=low

  * Add support for DEB_BUILD_OPTIONS=nocheck in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Jul 2010 21:19:08 -0500

pychecker (0.8.18-5) unstable; urgency=low

  * Tweak short description to better match official recommendations.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format
    - Add new patch debian/patches/tweak-setup-py.patch
    - Add new patch debian/patches/remove-shebang.patch
    - Add new patch debian/patches/spe-improvements.patch
    - Move Debian-specific tests and results to the debian/ directory
    - Tweak debian/regression.sh to handle new file locations

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:34:59 -0500

pychecker (0.8.18-4) unstable; urgency=low

  * Bump standards version to 3.8.4 (no packaging changes).
  * Fix FTBFS caused by switch to Python2.6 as default (closes: #571504).
    - The failures were all due to unit test expectations that differ
    - Fixed various test cases to match 2.6, but this breaks build for 2.5
    - Changed debian/regression.sh so test failures no longer kill the build
    - Tweaked debian/rules to remove old failed test results on clean

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 28 Feb 2010 16:44:46 +0000

pychecker (0.8.18-3) unstable; urgency=low

  * Fix warnings/problems indicated on package tracking page.
    - Bump standards version to 3.8.3 (no packaging changes)
    - Fix spelling error in debian/pychecker.1 ("accomodate")
    - Add ${misc:Depends} for all binary packages

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2010 12:43:40 -0600

pychecker (0.8.18-2) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.
  * Fix python/Python typo in debian/control to quiet lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:02:10 -0500

pychecker (0.8.18-1) unstable; urgency=low

  * New upstream release.
    - Update Debian-specific results for unit tests, due to upstream changes.
    - Upstream release fixes Exception problems (closes: #487096).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 24 Aug 2008 10:57:44 -0500

pychecker (0.8.17-9) unstable; urgency=low

  * Fix FTBTS due to unit test failures (closes: #477032).
    - The following tests failed: 3, 17, 22, 34, 48, 53, 71, 77, 87, 88
    - All of these failures seem to be due to the move to Python 2.5
    - Most of the failures are benign and have a simple explanation
    - A few look to be real regressions, and I have submitted upstream
    - Tests were fixed by adding Debian-specific expected results files

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 20 Apr 2008 22:19:32 -0500

pychecker (0.8.17-8) unstable; urgency=low

  * Fix IndexError exposed by git-buildpackage build (closes: #460357, #460698).
    - Apply patch from Guido Guenther fixing an if/elif mistake in warn.py
    - Submitted Guido's patch upstream as SF request #1889814

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri,  8 Feb 2008 13:52:36 -0600

pychecker (0.8.17-7) unstable; urgency=low

  * Fix bad unit tests expectations that caused FTBFS (closes: #460355).
    - Added Debian-specific results for test3 (path to UserDict changed)
    - Remove Debian-specific results for test34 (path to GetoptError changed)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jan 2008 10:17:59 -0600

pychecker (0.8.17-6) unstable; urgency=low

  * Apply patch from Dan O'Huiginn to improve manpage (closes: #456179).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 20 Dec 2007 20:28:08 -0600

pychecker (0.8.17-5) unstable; urgency=low

  * Package the pychecker2 code in the upstream package (closes: #453092).
    - Modify upstream setup.py to include the pychecker2 package
    - Updated debian/README.Debian to discuss the state of the new code
    - Apply patches from Stani (http://pythonide.stani.be) to pychecker2/main.py
  * Tweaked description in debian/README.Debian to be more readable
  * Updated debian/copyright to add John Shue, who is now a project admin

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed,  5 Dec 2007 17:11:20 -0600

pychecker (0.8.17-4) unstable; urgency=low

  * Fix debian/watch by using qa.debian.org redirector (closes: #449766).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 18 Nov 2007 18:15:39 -0600

pychecker (0.8.17-3) unstable; urgency=low

  * Add back support for $PYTHONVER in the pychecker script (closes: #384337).
    - Apply Jason Lunz's patch to debian/wrapper and add my own comments
    - Put back CHOICE OF PYTHON VERSION in debian/pychecker.1
    - Update README.debian to reflect these changes
  * Make regression tests pass with new default Python, version 2.4.
    - Create test_expected/test3-debian (spurious path difference)
    - Create test_expected/test34-debian (spurious path difference)
    - Remove test_expected/test68-debian (no longer needed)
    - Remove test_expected/test85-debian (no longer needed)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 23 Aug 2006 20:12:36 -0500

pychecker (0.8.17-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2.
    - Provide empty binary-arch target in debian/rules to quiet lintian
  * Updated debian/copyright to include new Google annotation.
  * Update to latest Python policy using python-support method.
    - Change debian/control to use Build-Depends instead of Build-Depends-Indep
    - Change debian/rules to build using /usr/bin/python, not /usr/bin/python2.4
    - Change debian/control to use Depends: ${python:Depends}
    - Change debian/rules to invoke dh_pysupport -d (for ${python:Depends})
    - Change debian/pychecker.dirs to reference usr/share/python-support
    - Change debian/rules to build using --install-purelib, not --prefix
    - Change debian/pychecker.install to match new build locations
    - Change debian/pychecker.preinst to remove old package's pyo and pyc files
    - Rework debian/wrapper to find checker.py in its new location
    - Remove debian/pychecker.postinst and debian/pychecker.prerm
    - Added new debian/pyversions file for use by python-support
  * Remove support for $PYTHONVER in the pychecker command-line script.
    - This cannot really be done well with the new policy and infrastructure
    - Removed CHOICE OF PYTHON VERSION section from debian/pychecker.1
    - Reworked debian/README.Debian to discuss this loss of functionality
  * Update regression tests to match new build process.
    - Change debian/regression.sh to use /usr/bin/python
    - Create test68-debian and test85-debian for Debian-specific results

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Jul 2006 18:30:24 -0500

pychecker (0.8.17-1) unstable; urgency=low

  * New upstream release.
  * Update Debian package regression testing
    - Add test98 to debian/regression.list
    - Update debian-specific results in test_expected/test77-debian
    - Add '--limit 0' to checker.py call in regression.sh (per Neal)
  * Remove all dependencies on python2.1 and python2.2 (closes: #362464).
  * Make changes so that the default python is python2.4.
    - Use python2.4 in Depends and Build-Depends-Indep in debian/control
    - Update README.Debian and manpage discussion of python versions
    - Change interpreter search order debian/pychecker.postinst
    - Change interpreter search order debian/wrapper
    - Change debian/pychecker.install to look in python2.4 directory
    - Change debian/regression.sh to use python2.4 interpreter
    - Change debian/rules to use python2.4 interpreter
    - Remove debian-specific test results for test 3, 34, 68 and 85

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 15 Apr 2006 10:12:38 -0500

pychecker (0.8.16-2) unstable; urgency=low

  * Fix a few README.Debian lines longer than 80 characters (closes: #337707).
  * Modify debian/rules to remove test_expected/*.results on clean (closes: #341564).
  * Comment in debian/rules that build will fail if any regression test fails.
  * Add a few comments to debian/rules about how regression tests work.
  * Add test96 and test97 to debian/regression.list (missed them before).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri,  2 Dec 2005 14:02:37 -0600

pychecker (0.8.16-1) unstable; urgency=low

  * New upstream release.
  * Incorporate new setup.py with my changes from upstream CVS.
  * Use /bin/bash in debian/pychecker.prerm; lintian says it contains "bashisms".
  * Fix comments at top of debian/pychecker.preinst and debian/pychecker.prerm.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat,  1 Oct 2005 10:27:38 -0500

pychecker (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.6.2 (no packaging changes).
  * Added post-release tweak to setup.py from upstream CVS.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri,  2 Sep 2005 11:37:14 -0500

pychecker (0.8.14-6) unstable; urgency=low

  * Support Python 2.4 in wrapper and in postinst.
  * Rework pychecker postinst so that it works for people who have Python
    set up to use alternatives (closes: #300922).  I now have to invoke
    compileall.compile_dir() rather than compileally.py because I can't be
    sure of the location of compileall.py.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 23 Mar 2005 16:23:09 -0600

pychecker (0.8.14-5) unstable; urgency=low

  * Rework pychecker postinst so that it works even for people who don't
    have the default python package installed.  The fix is to look for python,
    python2.3, python2.2 and python2.1 (in that order), and use the first one
    found to compile the modules.
  * Update README.Debian to match new behavior in postinst.
  * Added notes in executable wrappers to document new behavior in postinst.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Feb 2005 13:00:50 -0600

pychecker (0.8.14-4) unstable; urgency=low

  * Fix my various screw-ups in the last release, with upstream's help.
    - Fall back to 0.8.14-1 and add correct changes one-by-one
    - Apply my patch.bug270924 to fix #270924
    - Merge in upstream CVS checker.py and OP.py to fix #278588
    - Merge in upstream CVS regression test #73 and tweak it to work
    - Fix Debian-specific results for regresson test #77
    - Place test1002 and test1003 into debian/regression.list

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Dec 2004 19:31:44 -0600

pychecker (0.8.14-3) unstable; urgency=low

  * Roll back change for #278588 in favor of upstream's equivalent fix.
    - Change checker.py to use NotImplementedError to indicate abstract methods
    - Get rid of ignore list for error in Config.py and CodeChecks.py
    - Remove documentation of ignore list from pycheckrc file
    - Pulled updated test #73 from upstream CVS, and tweaked to work
    - Tweaked test #77 to work with new line numbers in checker.py

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 17 Dec 2004 20:54:09 -0600

pychecker (0.8.14-2) unstable; urgency=low

  * Added warning to output of debian/regression.sh about ~/.pycheckrc.
  * Fix spurious division warnings for certain expressions (closes: #270924).
    - Made minor changes to CodeChecks.py to ignore "unknown" types in check
    - Created test1002 regression test and listed it in debian/regression.list
  * Fix spurious warnings about methods in built-in Set classes (closes: #278588).
    - Made changes to CodeChecks.py and Config.py to create ignore list for error
    - Added documentation for new ignore list into default pycheckrc file
    - Created test1003 regression test and listed it in debian/regression.list

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 23 Nov 2004 13:01:09 -0600

pychecker (0.8.14-1) unstable; urgency=low

  * New upstream release (incorporates fixes to earlier Debian bugs).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu,  8 Jul 2004 17:54:29 -0500

pychecker (0.8.13-3) unstable; urgency=low

  * Bumped standards version to 3.6.1 (no changes).
  * Fix warnings about missing __module__ in C extensions (closes: #250425).
    - Applied patch from Bastian Kleineidam
    - Upstream recommended going ahead and applying patch
    - Can't add new regression test since this only happens for C extensions
    - Tweaked results in test77-debian because line numbers changed

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 May 2004 13:36:09 -0500

pychecker (0.8.13-2) unstable; urgency=low

  * Update Debian-specific manpage to discuss $PYTHONVER use.
  * Fix problem where 'sets = "sets"' causes warning (closes: #237503).
    - Made minor change to CodeChecks.py to avoid this warning for constants
    - Created test1001 regression test and listed it in debian/regression.list
    - Submitted patch upstream; no response after 2+ weeks, so I'm uploading

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 30 Mar 2004 20:37:20 -0600

pychecker (0.8.13-1) unstable; urgency=low

  * New upstream release.
    - This release incorporates a different upstream fix for #210682
    - Comment in README.Debian that Python 1.5.2 is no longer supported
    - Commented out sections of setup.py that create pychecker script
    - Made debian/rules create $(install_dir)/bin before installing to it
    - Renamed Debian-specific test93 to test1000, to avoid clash with upstream
    - Added test93, test94, test95, test1000 to debian/regression.list
    - Modified Debian results for test1, test3, test4, test34, test77, test85
    - Removed Debian results for test87

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 20 Nov 2003 11:14:33 -0600

pychecker (0.8.12-5) unstable; urgency=low

  * Try to deal adequately with unicode format strings (closes: #210682)
    - The fix, in CodeChecks.py, looks sensible but might be a band-aid
    - I suspect that unicode identifiers might cause similar problems
  * Added Debian-specific regression tests to build process
    - Created debian/regression.sh based on test_check.sh
    - Created debian/regression.list as list of tests to run
    - Added test93 to test regressions related to bug #210682 (see above)
    - Created set of Debian-specific results for failing tests
    - Now run 'sh debian/regression.sh' in debian/rules

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Sep 2003 19:33:36 -0500

pychecker (0.8.12-4) unstable; urgency=low

  * Added debian/compat file.
  * Bumped standards version to 3.5.9.
  * Updated debian/wrapper script (closes: #193955)
    - Handle command-line arguments containing spaces
    - Propogate exit code from command
    - Added python2.3 to list of interpreters
    - Now use ${} syntax to reference all variables
  * Now install modules to /usr/lib/site-python (closes: #137320)
    - Completely rewrote debian/rules file
    - Updated README.Debian to discuss new location
    - Changed debhelper build-dependency to (>= 4.1)
    - Added build-dependency on python2.3-dev
    - Added install dependency on python2.3
    - Commented out data_files piece in setup.py
    - Removed #!/usr/bin/env lines from module files
    - Added debian/pychecker.dirs
    - Added debian/pychecker.examples
    - Added debian/pychecker.install
    - Added debian/pychecker.manpages
    - Added debian/pychecker.postinst
    - Added debian/pychecker.preinst
    - Added debian/pychecker.prerm

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 11 Sep 2003 11:30:05 -0500

pychecker (0.8.12-3) unstable; urgency=low

  * New maintainer (closes: #200976).
    - Updated debian/control to list me as maintainer
    - Updated debian/copyright to list me as maintainer
    - Added debian/watch for my own housekeeping
    - Some lintian warnings remain; I'll address them later
    - Some bugs remain open; I'll address them later also

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  8 Sep 2003 20:55:40 -0500

pychecker (0.8.12-2) unstable; urgency=low

  * Updated manpage, thanks Fredrik Steen (Closes: Bug#181461)
  * Slight change to debian/copyright to make lintian happy

 -- Arto Jantunen <viiru@debian.org>  Fri, 21 Mar 2003 16:27:18 +0200

pychecker (0.8.12-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.5.8.0 (no changes)

 -- Arto Jantunen <viiru@debian.org>  Sun, 29 Dec 2002 20:55:33 +0200

pychecker (0.8.11-2) unstable; urgency=low

  * Made python2.2 the default and removed support
    for python1.5 and python2, as requested.

 -- Arto Jantunen <viiru@debian.org>  Thu, 29 Aug 2002 19:09:17 +0300

pychecker (0.8.11-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Sun,  9 Jun 2002 15:41:06 +0300

pychecker (0.8.10-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Thu, 21 Mar 2002 19:47:05 +0200

pychecker (0.8.9-1) unstable; urgency=low

  * New upstream release
  * Replaced the wrapper with Justin Hahn's version.

 -- Arto Jantunen <viiru@debian.org>  Sun,  3 Feb 2002 21:00:37 +0200

pychecker (0.8.8-2) unstable; urgency=medium

  * Fixed the wrapper, thanks to Tom Culliton for letting me know that
    it's broken. (really broken, this needs to go into woody)

 -- Arto Jantunen <viiru@debian.org>  Thu, 17 Jan 2002 12:48:44 +0200

pychecker (0.8.8-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Mon, 14 Jan 2002 18:40:50 +0200

pychecker (0.8.7-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Mon,  7 Jan 2002 19:35:28 +0200

pychecker (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Sat, 17 Nov 2001 16:15:00 +0200

pychecker (0.8.5-2) unstable; urgency=low

  * Made the wrapper script support python2.1, python2.2, python2
    and python1.5 (all versions in the archive atm)
  * Changed Depends: to fit the change
  * Stopped compiling stuff in the postinst (doesn't make sense
    after the other changes) and relocated pychecker to /usr/share
  * Also you can choose which python version to use by setting
    $PYTHONVER to the version number you desire (Added README.Debian
    to explain this)

 -- Arto Jantunen <viiru@debian.org>  Tue,  6 Nov 2001 20:50:31 +0200

pychecker (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Changed depends to python2.1 | python1.5 (Closes: Bug#105704)

 -- Arto Jantunen <viiru@debian.org>  Thu, 18 Oct 2001 16:49:34 +0300

pychecker (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Changed Build-Depends to Build-Depends-Indep to silence lintian
  * Updated to Standards-Version 3.5.6.0

 -- Arto Jantunen <viiru@debian.org>  Sun, 30 Sep 2001 15:45:04 +0300

pychecker (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Tue, 18 Sep 2001 18:31:15 +0300

pychecker (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#108023)

 -- Arto Jantunen <viiru@debian.org>  Fri, 10 Aug 2001 12:32:03 +0300

pychecker (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Removed unwanted dependency to python-base (only depends on python now)

 -- Arto Jantunen <viiru@debian.org>  Mon, 23 Jul 2001 23:01:27 +0300

pychecker (0.7-1) unstable; urgency=low

  * New upstream release
  * Small change to debian/rules to fix some silly problems

 -- Arto Jantunen <viiru@debian.org>  Tue, 17 Jul 2001 16:39:21 +0300

pychecker (0.6.1-1) unstable; urgency=medium

  * New upstream version (Closes: Bug#102840)

 -- Arto Jantunen <viiru@debian.org>  Mon,  9 Jul 2001 21:58:55 +0300

pychecker (0.5-2) unstable; urgency=low

  * Wrote a manpage
  * Made the postinst compile all .py's (naturally the prerm removes them)

 -- Arto Jantunen <viiru@debian.org>  Mon, 18 Jun 2001 02:00:42 +0300

pychecker (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Arto Jantunen <viiru@debian.org>  Wed, 30 May 2001 12:53:56 +0300
